package com.ekexiu.console.system.service;

import java.sql.Connection;
import java.sql.SQLException;

import org.jfw.apt.annotation.Autowrie;
import org.jfw.apt.annotation.DefaultValue;
import org.jfw.apt.annotation.Nullable;
import org.jfw.apt.web.annotation.Path;
import org.jfw.apt.web.annotation.operate.Delete;
import org.jfw.apt.web.annotation.operate.Get;
import org.jfw.apt.web.annotation.operate.Post;
import org.jfw.apt.web.annotation.operate.Put;
import org.jfw.apt.web.annotation.param.JdbcConn;
import org.jfw.apt.web.annotation.param.PathVar;
import org.jfw.apt.web.annotation.param.RequestBody;
import org.jfw.apt.web.annotation.param.RequestParam;
import org.jfw.util.PageQueryResult;
import org.jfw.util.StringUtil;

import com.ekexiu.console.system.dao.OrgDao;
import com.ekexiu.console.system.po.Organization;

@Path("/sys/org")
public class OrgService {

	@Autowrie
	private OrgDao orgDao;

	public OrgDao getOrgDao() {
		return orgDao;
	}

	public void setOrgDao(OrgDao orgDao) {
		this.orgDao = orgDao;
	}

	@Post
	@Path
	public String insert(@JdbcConn(true) Connection con, @RequestParam(excludeFields = { "createTime", "modifyTime", "id" }) Organization orgn)
			throws SQLException {
		String id = StringUtil.buildUUID();
		orgn.setId(id);
		this.orgDao.insert(con, orgn);
		return id;
	}

	@Put
	@Path
	public void update(@JdbcConn(true) Connection con,@RequestBody Organization orgn)throws SQLException{
		this.orgDao.update(con, orgn);
	}

	@Get
	@Path("/pq")
	public PageQueryResult<Organization> pageQuery(@JdbcConn Connection con,@Nullable String name,@Nullable String type,@Nullable String bt,@Nullable String et,@DefaultValue("1") int pageNo,@DefaultValue("10") int pageSize)throws SQLException{
		return this.orgDao.query(con, name, type, bt, et, pageSize, pageNo);
	}
	
	@Get
	@Path("/id/{id}")
	public Organization query(@JdbcConn Connection con,@PathVar String id)throws SQLException{
		return this.orgDao.query(con, id);
	}
	@Delete
	@Path("/id/{id}")
	public void deleteOne(@JdbcConn(true) Connection con,@PathVar String id)throws SQLException{
		this.orgDao.delete(con, id);
	}
	
	
	@Post
	@Path("/del")
	public void delete(@JdbcConn(true) Connection con,String[] ids)throws SQLException{
		this.orgDao.delete(con, ids);
	}
	

}
